Description

Hi

Foreman 1.6 from following RPM:

 http://yum.theforeman.org/releases/1.6/el6/x86_64/foreman-release.rpm

on that Centos 6 machine, also installed foreman-vmware using RPM as well (it brings entire Ruby stack as dependencies resolve).

steps:

1. install puppet+puppetdb+foreman (with foreman-vmware external compute resource) in docker containers, bring them up, all

works fine thus far

2. Configure VMWare vSphere compute resource - works fine

3. go to (in foreman GUI) "Infrastructure -> Compute Profiles"

Boom:

Warning!

undefined method `stringify_keys' for #<RbVmomi::VIM:0x00000009fa2130>

NoMethodError

undefined method `stringify_keys' for #<RbVmomi::VIM:0x00000009fa2130>

app/helpers/layout_helper.rb:119:in `block in selectable_f'

app/helpers/layout_helper.rb:161:in `block (3 levels) in field'

app/helpers/layout_helper.rb:160:in `block (2 levels) in field'

app/helpers/layout_helper.rb:150:in `block in field'

app/helpers/layout_helper.rb:149:in `field'

app/helpers/layout_helper.rb:117:in `selectable_f'

app/views/compute_resources_vms/form/_vmware.html.erb:6:in

`_app_views_compute_resources_vms_form__vmware_html_erb__3876361227718184000_68405260'

app/views/compute_attributes/_form.html.erb:10:in `block (2 levels) in app_views_compute_attributes

_form_html_erb__3643016566562734704_69900696321300'

app/views/compute_attributes/_form.html.erb:8:in `block in app_views_compute_attributes

_form_html_erb__3643016566562734704_69900696321300'

app/helpers/layout_helper.rb:257:in `form_for'

app/views/compute_attributes/_form.html.erb:2:in

`_app_views_compute_attributes__form_html_erb__3643016566562734704_69900696321300'

app/views/compute_attributes/new.html.erb:3:in

`_app_views_compute_attributes_new_html_erb___4405136314802759480_69900698501900'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Related to Foreman - Bug #2680: Unable to provisioning host using UI - vSpher... Closed 06/19/2013 06/20/2013

History

#1 - 12/09/2014 04:29 AM - Dominic Cleal

- Subject changed from http://projects.theforeman.org/issues/3612 reproduced in Foreman 1.6.3 RPM on Centos 6 to undefined method
http://yum.theforeman.org/releases/1.6/el6/x86_64/foreman-release.rpm


`stringify_keys' for #<RbVmomi::VIM ..>

#2 - 12/09/2014 04:30 AM - Dominic Cleal

- Related to Bug #3612: Editing host after an compute associate ends in an oops added

#3 - 12/09/2014 04:30 AM - Dominic Cleal

- Related to deleted (Bug #3612: Editing host after an compute associate ends in an oops)

#4 - 12/09/2014 04:30 AM - Dominic Cleal

- Related to Bug #2680: Unable to provisioning host using UI - vSphere 4.1.0 added

#5 - 12/09/2014 04:31 AM - Tomer Paz

correction to step 3:

Create a new host profile, chose VMWare compute resource, then chose the created host profile to edit - boom...

#6 - 02/11/2015 10:20 AM - Shlomi Zadok

- Status changed from New to Feedback

Followed your steps:

Tested with foreman 1.8-develop and with 1.7-stable. Can't reproduce.

Using Vsphere 5.5

This issue used to happen with RbVmomi version 1.6 + ActiveRecord, we currently use RbVmomi 1.8.2

Please let me know if it reproduces with foreman-1.7+

Thanks.

#7 - 05/17/2017 09:50 AM - Anonymous

- Status changed from Feedback to Resolved

should be solved by now
